Get Filters

Retrieve the available filters for assets in the project.

The return values are unfiltered so represents a "top-level" set of filter values, with the default filters being: asset_type, custom_tags, ip_owner, severity, open_port_number and certificate_expires_at.
A custom set of filter can be requested by passing a comma-separated list of filter fields in the query string.

The return values are intended to be usable by UI-type components that may render dropdowns, so each filter has a name which can be used as a label for a field.
Additionally for each filter, there are query and path fields which represent the query string parameter and JSON dotted path to use for the filter.

NOTE: The "dotted path" is intended for the POST /_search endpoint and assists in knowing where to put the value.
For example exposure_properties.severity, indicates you would send it in { "exposure_properties": {"severity": { "eq": "value" } } }

Path Params
string
required
Query Params
array | null

A list of additional fields to include in the response.You may specify this field multiple times or pass a comma-separated list from: asset_type, asn, custom_tags, added_to_project, discovered, apex, ip_geo_country_iso, ip_owner, static_asset, registry, referenced_ip, exposure_id, severity, asset_exposure_score, last_scanned_at, open_port_number, open_port_service, open_port_protocol, waf_detected, waf_name, technology_name, is_responsive, certificate_issuer, certificate_expires_at, certificate_issued_at.By default asset_type, custom_tags, ip_owner, severity, open_port_number, certificate_expires_at is returned.If one query input is equal to all, all fields are returned.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json